> ## Documentation Index
> Fetch the complete documentation index at: https://docs.managexr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Tag

> Update an existing tag's name



## OpenAPI

````yaml PATCH /v1/tags/{tagId}
openapi: 3.1.0
info:
  title: ManageXR API
  description: API documentation for ManageXR
  version: 1.0.0
servers:
  - url: https://managexrapi.com
    description: ManageXR API Server
security:
  - basicAuth: []
paths:
  /v1/tags/{tagId}:
    patch:
      summary: Edit tag
      description: Update an existing tag's name
      parameters:
        - name: tagId
          in: path
          required: true
          schema:
            type: string
          description: Unique identifier of the tag
        - name: organizationId
          in: query
          required: false
          schema:
            type: string
          description: >
            Unique identifier of the organization. This parameter is only
            necessary when using multi-organization API keys. 


            Defaults to the organizationId associated with the API key.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: New name for the tag
                  example: World History
              required:
                - name
            example:
              name: World History
      responses:
        '200':
          description: The updated tag
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Unique identifier of the tag
                        example: sFidGmedeQofSBcvRcyn
                      name:
                        type: string
                        description: Name of the tag
                        example: World History
              example:
                data:
                  id: sFidGmedeQofSBcvRcyn
                  name: World History
        '400':
          description: Tag name already exists
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: Tag with name World History already exists
                  error:
                    type: string
                    example: ManageXR Error
              example:
                statusCode: 400
                message: Tag with name World History already exists
                error: ManageXR Error
        '404':
          description: Tag not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Tag with id sFidGmedeQofSBcvRcyn not found
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        API key based authentication where <encoded-value> is the Base64
        encoding of `API_KEY_ID`:`API_KEY_SECRET`

        - **Username**: The API Key ID.

        - **Password**: The API Key Secret.

````